Skip to main content
POST
/
products
Create product
curl --request POST \
  --url https://api.galtea.ai/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "prod_123",
  "organizationId": "org_123",
  "userId": "user_123",
  "name": "Sample Product",
  "description": "Sample product description",
  "riskLevel": "HIGH",
  "operatorType": "PROVIDER",
  "securityBoundaries": "Internal use only",
  "capabilities": "Can process and analyze data",
  "inabilities": "Cannot process sensitive financial data",
  "policies": "Must comply with data protection regulations",
  "tags": [
    "internal",
    "beta"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.galtea.ai/products"

payload = {
"id": "prod_123",
"organizationId": "org_123",
"userId": "user_123",
"name": "Sample Product",
"description": "Sample product description",
"riskLevel": "HIGH",
"operatorType": "PROVIDER",
"securityBoundaries": "Internal use only",
"capabilities": "Can process and analyze data",
"inabilities": "Cannot process sensitive financial data",
"policies": "Must comply with data protection regulations",
"tags": ["internal", "beta"],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'prod_123',
organizationId: 'org_123',
userId: 'user_123',
name: 'Sample Product',
description: 'Sample product description',
riskLevel: 'HIGH',
operatorType: 'PROVIDER',
securityBoundaries: 'Internal use only',
capabilities: 'Can process and analyze data',
inabilities: 'Cannot process sensitive financial data',
policies: 'Must comply with data protection regulations',
tags: ['internal', 'beta'],
createdAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.galtea.ai/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "prod_123",
  "organizationId": "org_123",
  "userId": "user_123",
  "name": "Sample Product",
  "description": "Sample product description",
  "riskLevel": "HIGH",
  "operatorType": "PROVIDER",
  "securityBoundaries": "Internal use only",
  "capabilities": "Can process and analyze data",
  "inabilities": "Cannot process sensitive financial data",
  "policies": "Must comply with data protection regulations",
  "tags": [
    "internal",
    "beta"
  ],
  "source": "banking",
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
"error": "Error type",
"message": "Error message description"
}
{
"error": "Error type",
"message": "Error message description"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json

Product data

id
string
Example:

"prod_123"

organizationId
string
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"Sample Product"

description
string
Example:

"Sample product description"

riskLevel
enum<string> | null

EU AI Act risk classification. PROHIBITED: banned AI use cases. GPAI: general-purpose AI. GPAI_SYSTEMIC: GPAI with systemic risk. HIGH: high-risk AI system. SPECIAL_SYSTEM: special-category system.

Available options:
PROHIBITED,
GPAI,
GPAI_SYSTEMIC,
HIGH,
SPECIAL_SYSTEM
Example:

"HIGH"

operatorType
enum<string> | null

EU AI Act operator role classification.

Available options:
AUTHORISED_REPRESENTATIVE,
DEPLOYER,
DISTRIBUTER,
IMPORTER,
PRODUCT_MANUFACTURER,
PROVIDER
Example:

"PROVIDER"

securityBoundaries
string | null
Example:

"Internal use only"

capabilities
string | null
Example:

"Can process and analyze data"

inabilities
string | null
Example:

"Cannot process sensitive financial data"

policies
string | null
Example:

"Must comply with data protection regulations"

tags
string[]

Free-form labels for organizing products. Normalized to lowercase and trimmed on save.

Example:
["internal", "beta"]
createdAt
string<date-time>
deletedAt
string<date-time> | null

Response

Product created successfully

id
string
Example:

"prod_123"

organizationId
string
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"Sample Product"

description
string
Example:

"Sample product description"

riskLevel
enum<string> | null

EU AI Act risk classification. PROHIBITED: banned AI use cases. GPAI: general-purpose AI. GPAI_SYSTEMIC: GPAI with systemic risk. HIGH: high-risk AI system. SPECIAL_SYSTEM: special-category system.

Available options:
PROHIBITED,
GPAI,
GPAI_SYSTEMIC,
HIGH,
SPECIAL_SYSTEM
Example:

"HIGH"

operatorType
enum<string> | null

EU AI Act operator role classification.

Available options:
AUTHORISED_REPRESENTATIVE,
DEPLOYER,
DISTRIBUTER,
IMPORTER,
PRODUCT_MANUFACTURER,
PROVIDER
Example:

"PROVIDER"

securityBoundaries
string | null
Example:

"Internal use only"

capabilities
string | null
Example:

"Can process and analyze data"

inabilities
string | null
Example:

"Cannot process sensitive financial data"

policies
string | null
Example:

"Must comply with data protection regulations"

tags
string[]

Free-form labels for organizing products. Normalized to lowercase and trimmed on save.

Example:
["internal", "beta"]
source
string | null
read-only

Demo key the product was cloned from (e.g. "banking"); null for user-created products. Server-stamped on demo-clone; not client-writable.

Example:

"banking"

createdAt
string<date-time>
deletedAt
string<date-time> | null